[B007] Drug search

post
https://connect.patsnap.com/synapse/drug/search
Try in Sandbox

Obtain drugs through fields such as target, organization, disease, etc.

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
offset
integer<int64>-
Offset, default 0
limit
integer<int64>10
Limit, default 10. offset + limit <= 10000, limit up to 1,000.
drug
object{ "value": [ "945fa31ebe9e41ae912e493aa3324576" ], "condition": "OR" }
Drug, The "condition" field defaults to OR and does not support AND.
condition
stringOR
Logical operators, The value is an enum with the following values:AND,OR. Case-sensitive.
value
array[ "945fa31ebe9e41ae912e493aa3324576" ]
Value List
target
object{ "value": [ "9786d32e3d244a688ec6a60d2fe1b10b" ], "condition": "OR" }
Target, The "condition" field defaults to OR and support AND.
condition
stringOR
Logical operators, The value is an enum with the following values:AND,OR. Case-sensitive.
value
array[ "9786d32e3d244a688ec6a60d2fe1b10b" ]
Value List
disease
object{ "value": [ "3beea980d93a4cc0abc864e27514601c" ], "condition": "OR" }
Indication, The "condition" field defaults to OR and does not support AND.
condition
stringOR
Logical operators, The value is an enum with the following values:AND,OR. Case-sensitive.
value
array[ "3beea980d93a4cc0abc864e27514601c" ]
Value List
organization
object{ "value": [ "6a8c172f1efc649035845f94c31a9c1e" ], "condition": "OR" }
Organization, The "condition" field defaults to OR and does not support AND.
condition
stringOR
Logical operators, The value is an enum with the following values:AND,OR. Case-sensitive.
value
array[ "6a8c172f1efc649035845f94c31a9c1e" ]
Value List
mechanism_action
object{ "value": [ "4dd338b149b3ecd0ee860e1fb379b44f" ], "condition": "OR" }
Mechanism, The "condition" field defaults to OR and does not support AND.
condition
stringOR
Logical operators, The value is an enum with the following values:AND,OR. Case-sensitive.
value
array[ "4dd338b149b3ecd0ee860e1fb379b44f" ]
Value List
drug_type
object{ "value": [ "c38eb408d6b842f487d6a27484156633" ], "condition": "OR" }
Drug Type, The "condition" field defaults to OR and does not support AND.
condition
stringOR
Logical operators, The value is an enum with the following values:AND,OR. Case-sensitive.
value
array[ "c38eb408d6b842f487d6a27484156633" ]
Value List
global_highest_dev_status
array[ "Approved" ]
Drug Highest Phase. The value is an enum with the following values: Discovery, Preclinical, IND, IND_Approval, Early_Phase_1, Phase_1, Phase_1_2, Phase_2, Phase_2_3, Phase_3, NDA_BLA, Approved, Clinical, Pending, Discontinued, Withdraw, Suspended, Unknown.
exist_deal
booleantrue
Whether Drug Deal Exist
dev_status
array[ "Approved" ]
Phase(By Indication). The value is an enum with the following values: Discovery, Preclinical, IND, IND_Approval, Early_Phase_1, Phase_1, Phase_1_2, Phase_2, Phase_2_3, Phase_3, NDA_BLA, Approved, Clinical, Pending, Discontinued, Withdraw, Suspended, Unknown.
country
array[ "US", "EU" ]
Phase(By Indication). The value is an enum with the following values: US, EU, JP, CN, Other
organization_type
array[ "Company" ]
Organization Type. The value is an enum with the following values: Company, University_Institution, Other
employee_number
array[ "GREATER_THAN_500" ]
Employee Number. The value is an enum with the following values: LESS_THAN_10, BETWEEN_10_AND_100, BETWEEN_100_AND_500, GREATER_THAN_500
start_up
boolean-
Whether Start-Up Organization
sort
array[ { "sort_field": "DRUG_TYPE_SORT", "sort_order": "desc" }, { "sort_field": "GLOBAL_HIGHEST_DEV_STATUS_RANK", "sort_order": "desc" }, { "sort_field": "FIRST_APPROVED_DATE", "sort_order": "desc" } ]
Field order, field can support: DRUG_TYPE_SORT, GLOBAL_HIGHEST_DEV_STATUS_RANK, FIRST_APPROVED_DATE; order can support:desc, asc (default desc)
sort_field
stringDRUG_TYPE_SORT
sort field, enum values: DRUG_TYPE_SORT, GLOBAL_HIGHEST_DEV_STATUS_RANK, FIRST_APPROVED_DATE
sort_order
stringdesc
sort order, support:desc,asc

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
object-
response data
items
arrayPlease check the form:DrugSummaryDto
result items
drug_id
string11d208e0c26a4345946d95f92d9fcaf0
Drug ID
drug_name
array[ { "lang": "CN", "name": "阿达格拉西" }, { "lang": "EN", "name": "Adagrasib" } ]
Drug Name
lang
stringEN
Language
name
stringRanibizumab (Genentech)
Drug,Target,Organization,Disease,Country/Location,DICT,Mechanism Action Name
drug_type
array[ { "display_name": [ { "lang": "EN", "name": "Small molecule drug" }, { "lang": "CN", "name": "小分子化药" } ], "normalized_id": "1151dbc710f64a85923dc05d4a5a0ba9" } ]
drug type view
display_name
array[ { "lang": "EN", "name": "Autologous CAR-T" }, { "lang": "CN", "name": "自体CAR-T" } ]
Dict Name
normalized_id
string2fbfdb3e92d942c48cbb0adb79f23526
Dict ID
limit
integer<int64>10
limit
total
integer<int64>-
total
offset
integer<int64>-
offset
total_dev_status
integer<int64>-
Involved Dev Status Count
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": {
    "items": [
      {
        "drug_id": "11d208e0c26a4345946d95f92d9fcaf0",
        "drug_name": [
          {
            "lang": "EN",
            "name": "Ranibizumab (Genentech)"
          }
        ],
        "drug_type": [
          {
            "display_name": [
              {
                "lang": "EN",
                "name": "Ranibizumab (Genentech)"
              }
            ],
            "normalized_id": "2fbfdb3e92d942c48cbb0adb79f23526"
          }
        ]
      }
    ],
    "limit": 10,
    "total": 0,
    "offset": 0,
    "total_dev_status": 0
  },
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200000API call exceeds the total limit set by the platform!
67200001API call exceeds the total limit set by the platform!
67200002The current call rate is too fast, exceeding the current configuration limit QPS!
67200003The key and secret parameters for applying for the token are incorrect or the client has been disabled!
67200004The requested api does not have permission. Please contact our support personnel!
67200005Insufficient account balance/number of calls!
67200006The client has exceeded the activation validity period!
67200007The current call exceeds the configured usage limit of the day!
67200008Please check if the required apikey in the query parameter has been transmitted!
67200009The apikey does not match the passed bearerToken. Please check if a valid token is being used!
67200012The request is illegal!
67200100The current server status is busy, request response timeout!
67200101The API requested currently does not exist. Please check the request path!

HTTP Status Codes

Status CodeDescription
0Success
201Created
401Unauthorized
403Forbidden
404Not Found

Performance Metrics

Expected performance characteristics for this endpoint

Normal Response Time

5000 ms

Max Response Time

10000 ms